summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRalph Seichter <github@seichter.de>2020-02-08 23:50:39 +0100
committerJoonas Niilola <juippis@gentoo.org>2020-02-13 08:26:31 +0200
commite5ae9150845074e0da4fc8f230ed183d170ac294 (patch)
tree86b47c2bab4023fedbd4549821e1dce8cb9e3421 /www-servers/nginx-unit
parentdev-python/markdown: Restore py2.7 in 3.1.1-r1 (diff)
downloadgentoo-e5ae9150845074e0da4fc8f230ed183d170ac294.tar.gz
gentoo-e5ae9150845074e0da4fc8f230ed183d170ac294.tar.bz2
gentoo-e5ae9150845074e0da4fc8f230ed183d170ac294.zip
www-servers/nginx-unit: Remove obsolete PHP
Remove references to PHP versions 5.6 and 7.1 which are no longer supported by Gentoo. Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Ralph Seichter <gentoo@seichter.de> Closes: https://github.com/gentoo/gentoo/pull/14600 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'www-servers/nginx-unit')
-rw-r--r--www-servers/nginx-unit/metadata.xml2
-rw-r--r--www-servers/nginx-unit/nginx-unit-1.12.0-r3.ebuild4
-rw-r--r--www-servers/nginx-unit/nginx-unit-1.13.0.ebuild4
-rw-r--r--www-servers/nginx-unit/nginx-unit-1.14.0.ebuild4
-rw-r--r--www-servers/nginx-unit/nginx-unit-1.8.0.ebuild4
5 files changed, 4 insertions, 14 deletions
diff --git a/www-servers/nginx-unit/metadata.xml b/www-servers/nginx-unit/metadata.xml
index c6f29a25070..31019253313 100644
--- a/www-servers/nginx-unit/metadata.xml
+++ b/www-servers/nginx-unit/metadata.xml
@@ -17,8 +17,6 @@
engineering or operations.
</longdescription>
<use>
- <flag name="php5-6">Support for PHP 5.6</flag>
- <flag name="php7-1">Support for PHP 7.1</flag>
<flag name="php7-2">Support for PHP 7.2</flag>
<flag name="php7-3">Support for PHP 7.3</flag>
<flag name="php7-4">Support for PHP 7.4</flag>
diff --git a/www-servers/nginx-unit/nginx-unit-1.12.0-r3.ebuild b/www-servers/nginx-unit/nginx-unit-1.12.0-r3.ebuild
index ab4379548ef..a4a9d943b1c 100644
--- a/www-servers/nginx-unit/nginx-unit-1.12.0-r3.ebuild
+++ b/www-servers/nginx-unit/nginx-unit-1.12.0-r3.ebuild
@@ -16,14 +16,12 @@ LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
MY_USE="perl python ruby"
-MY_USE_PHP="php5-6 php7-1 php7-2 php7-3"
+MY_USE_PHP="php7-2 php7-3"
IUSE="${MY_USE} ${MY_USE_PHP} ssl"
REQUIRED_USE="|| ( ${IUSE} )
python? ( ${PYTHON_REQUIRED_USE} )"
DEPEND="perl? ( dev-lang/perl:= )
- php5-6? ( dev-lang/php:5.6[embed] )
- php7-1? ( dev-lang/php:7.1[embed] )
php7-2? ( dev-lang/php:7.2[embed] )
php7-3? ( dev-lang/php:7.3[embed] )
python? ( ${PYTHON_DEPS} )
diff --git a/www-servers/nginx-unit/nginx-unit-1.13.0.ebuild b/www-servers/nginx-unit/nginx-unit-1.13.0.ebuild
index 7f3d1031a1e..cacf958665f 100644
--- a/www-servers/nginx-unit/nginx-unit-1.13.0.ebuild
+++ b/www-servers/nginx-unit/nginx-unit-1.13.0.ebuild
@@ -16,14 +16,12 @@ LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
MY_USE="perl python ruby"
-MY_USE_PHP="php5-6 php7-1 php7-2 php7-3"
+MY_USE_PHP="php7-2 php7-3"
IUSE="${MY_USE} ${MY_USE_PHP} ssl"
REQUIRED_USE="|| ( ${IUSE} )
python? ( ${PYTHON_REQUIRED_USE} )"
DEPEND="perl? ( dev-lang/perl:= )
- php5-6? ( dev-lang/php:5.6[embed] )
- php7-1? ( dev-lang/php:7.1[embed] )
php7-2? ( dev-lang/php:7.2[embed] )
php7-3? ( dev-lang/php:7.3[embed] )
python? ( ${PYTHON_DEPS} )
diff --git a/www-servers/nginx-unit/nginx-unit-1.14.0.ebuild b/www-servers/nginx-unit/nginx-unit-1.14.0.ebuild
index a1506b1539e..a3a56bb2a26 100644
--- a/www-servers/nginx-unit/nginx-unit-1.14.0.ebuild
+++ b/www-servers/nginx-unit/nginx-unit-1.14.0.ebuild
@@ -16,14 +16,12 @@ LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
MY_USE="perl python ruby"
-MY_USE_PHP="php5-6 php7-1 php7-2 php7-3"
+MY_USE_PHP="php7-2 php7-3"
IUSE="${MY_USE} ${MY_USE_PHP} ssl"
REQUIRED_USE="|| ( ${IUSE} )
python? ( ${PYTHON_REQUIRED_USE} )"
DEPEND="perl? ( dev-lang/perl:= )
- php5-6? ( dev-lang/php:5.6[embed] )
- php7-1? ( dev-lang/php:7.1[embed] )
php7-2? ( dev-lang/php:7.2[embed] )
php7-3? ( dev-lang/php:7.3[embed] )
python? ( ${PYTHON_DEPS} )
diff --git a/www-servers/nginx-unit/nginx-unit-1.8.0.ebuild b/www-servers/nginx-unit/nginx-unit-1.8.0.ebuild
index 85232da8eb2..ac86712d662 100644
--- a/www-servers/nginx-unit/nginx-unit-1.8.0.ebuild
+++ b/www-servers/nginx-unit/nginx-unit-1.8.0.ebuild
@@ -16,13 +16,11 @@ LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64"
MY_USE="perl python ruby"
-MY_USE_PHP="php5-6 php7-1 php7-2 php7-3"
+MY_USE_PHP="php7-2 php7-3"
IUSE="${MY_USE} ${MY_USE_PHP}"
REQUIRED_USE="|| ( ${IUSE} ) python? ( ${PYTHON_REQUIRED_USE} )"
DEPEND="perl? ( dev-lang/perl:= )
- php5-6? ( dev-lang/php:5.6[embed] )
- php7-1? ( dev-lang/php:7.1[embed] )
php7-2? ( dev-lang/php:7.2[embed] )
php7-3? ( dev-lang/php:7.3[embed] )
python? ( ${PYTHON_DEPS} )